/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { FinancialOverlayDescription } from "./FinancialOverlayDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let BollingerBandsOverlayDescription = /*@__PURE__*/ (() => {
    class BollingerBandsOverlayDescription extends FinancialOverlayDescription {
        get_type() {
            return "BollingerBandsOverlay";
        }
        constructor() {
            super();
            this.fb = 0;
            this.e9 = 0;
        }
        get period() {
            return this.fb;
        }
        set period(a) {
            this.fb = a;
            this.g("Period");
        }
        get multiplier() {
            return this.e9;
        }
        set multiplier(a) {
            this.e9 = a;
            this.g("Multiplier");
        }
    }
    BollingerBandsOverlayDescription.$t = /*@__PURE__*/ markType(BollingerBandsOverlayDescription, 'BollingerBandsOverlayDescription', FinancialOverlayDescription.$);
    return BollingerBandsOverlayDescription;
})();
